> ## Documentation Index
> Fetch the complete documentation index at: https://docs.originsai.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Token Usage By Call Id

> Get token usage summary for a specific call.

Returns STT, LLM, and TTS token usage with provider and model information.



## OpenAPI

````yaml https://originshq.b-cdn.net/openapi_sayna.json get /api/token_usage/{call_id}
openapi: 3.1.0
info:
  title: core
  version: 0.1.0
servers: []
security: []
paths:
  /api/token_usage/{call_id}:
    get:
      tags:
        - call_details
      summary: Get Token Usage By Call Id
      description: >-
        Get token usage summary for a specific call.


        Returns STT, LLM, and TTS token usage with provider and model
        information.
      operationId: get_token_usage_by_call_id_api_token_usage__call_id__get
      parameters:
        - name: call_id
          in: path
          required: true
          schema:
            type: string
            title: Call Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CallTokenUsageResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    CallTokenUsageResponse:
      properties:
        call_id:
          type: string
          format: uuid
          title: Call Id
        token_usage:
          $ref: '#/components/schemas/TokenUsageSummary'
      type: object
      required:
        - call_id
        - token_usage
      title: CallTokenUsageResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    TokenUsageSummary:
      properties:
        stt:
          $ref: '#/components/schemas/STTUsageSummary'
          default:
            total_audio_seconds: 0
            total_audio_tokens: 0
        llm:
          $ref: '#/components/schemas/LLMUsageSummary'
          default:
            prompt_tokens: 0
            completion_tokens: 0
            total_tokens: 0
        tts:
          $ref: '#/components/schemas/TTSUsageSummary'
          default:
            total_characters: 0
            total_tts_tokens: 0
      type: object
      title: TokenUsageSummary
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    STTUsageSummary:
      properties:
        provider:
          anyOf:
            - type: string
            - type: 'null'
          title: Provider
        model:
          anyOf:
            - type: string
            - type: 'null'
          title: Model
        language:
          anyOf:
            - type: string
            - type: 'null'
          title: Language
        total_audio_seconds:
          type: number
          title: Total Audio Seconds
          default: 0
        total_audio_tokens:
          type: integer
          title: Total Audio Tokens
          default: 0
      type: object
      title: STTUsageSummary
    LLMUsageSummary:
      properties:
        provider:
          anyOf:
            - type: string
            - type: 'null'
          title: Provider
        model:
          anyOf:
            - type: string
            - type: 'null'
          title: Model
        prompt_tokens:
          type: integer
          title: Prompt Tokens
          default: 0
        completion_tokens:
          type: integer
          title: Completion Tokens
          default: 0
        total_tokens:
          type: integer
          title: Total Tokens
          default: 0
      type: object
      title: LLMUsageSummary
    TTSUsageSummary:
      properties:
        provider:
          anyOf:
            - type: string
            - type: 'null'
          title: Provider
        model:
          anyOf:
            - type: string
            - type: 'null'
          title: Model
        voice_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Voice Id
        total_characters:
          type: integer
          title: Total Characters
          default: 0
        total_tts_tokens:
          type: integer
          title: Total Tts Tokens
          default: 0
      type: object
      title: TTSUsageSummary

````